import { FilenameFactory } from "./filename/FilenameFactory";
import { Config } from "../../configuration/Config";
import { IvrTesterPlugin } from "../../plugins/IvrTesterPlugin";
import { TestSession } from "../../testRunner";
/**
 * Details about the stream about to be recorded
 */
export interface StreamDetails {
    sid: string;
    call: {
        from: string;
        to: string;
    };
}
export interface RecorderConfig {
    outputPath: string;
    filename?: string | FilenameFactory;
}
export declare const mediaStreamRecorderPlugin: (config: Config) => IvrTesterPlugin;
export declare class MediaStreamRecorder {
    private readonly testSession;
    private readonly config;
    private static readonly FILE_EXT;
    private writeStream;
    private readonly processMessageRef;
    private readonly closeRef;
    constructor(testSession: TestSession, config: RecorderConfig);
    private processMessage;
    private createFilename;
    private createFile;
    private writeToFile;
    private close;
}
